//-------------------------------------------------------------------------------------
// HX711_ADC.h
// Arduino master library for HX711 24-Bit Analog-to-Digital Converter for Weigh Scales
// Olav Kallhovd sept2017

#include <HX711_ADC.h>

// branchement du HX711 sur arduino (dout pin, sck pin)
HX711_ADC LoadCell(4, 5);

long t;
void setup() {
  Serial.begin(19200);
  //Serial.println("Wait...");
  LoadCell.begin();
  long stabilisingtime = 2000; // tare preciscion can be improved by adding a few seconds of stabilising time
  LoadCell.start(stabilisingtime);
  LoadCell.setCalFactor(2218.0); // ce coefficient est à déterminer en utilisant le programme calibrer une jauge de contraite
  //Serial.println("Startup + tare is complete");
}

void loop() {
  LoadCell.update();

  //get smoothed value from data set + current calibration factor
  if (millis() > t + (1000)) {
    float i = LoadCell.getData();
    //Serial.print("Load_cell output val: ");
    t = millis();
    Serial.print(i);
    Serial.print("\t");
    Serial.println(millis());
    
  }

  //receive from serial terminal
  if (Serial.available() > 0) {
    float i;
    char inByte = Serial.read();
    if (inByte == 't') LoadCell.tareNoDelay();
  }

  //check if last tare operation is complete
  if (LoadCell.getTareStatus() == true) {
    Serial.println("Tare complete");
  }

}
